Skip to navigation

Update a connector

Applies a partial OCPI Connector to a connector of a stored location’s EVSE; include last_updated. Pass push_to_partner_id to also push it to that partner right away.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionenumRequired

OCPI version: 211 (2.1.1), 221 (2.2.1) or 230 (2.3.0).

Allowed values:
location_idstringRequired1-36 characters
evse_uidstringRequired1-36 characters
connector_idstringRequired1-36 characters

Query parameters

push_to_partner_idinteger or nullOptional>=1
Also push the written object to this roaming partner right away.

Request

This endpoint expects a map from strings to any.

Response

Successful Response
location_idstring
evse_uidstring
connector_idstring
pushobject or nullOptional
Outcome of pushing one object to a roaming partner.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
502
Bad Gateway Error
504
Gateway Timeout Error